Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.builder
Class BuildResultsTestFactory

    java.lang.Object
      com.atlassian.bamboo.builder.BuildResultsTestFactory

    public class BuildResultsTestFactory

extends Object

Constructor Summary
`BuildResultsTestFactory()`

Method Summary
`static BuildResults` | `createWithBuildKey(String expectedBuildKey)`
`static BuildResults` | `createWithChangeList(List expectedChangeList)`
`static BuildResults` | `createWithFailure()`
`static BuildResults` | `createWithNoReason()`
`static BuildResults` | `createWithReason(ReasonForBuild expectedReason)`
`static BuildResults` | `createWithReasonCleanBuild()`
`static BuildResults` | `createWithSourceDir(File expectedSourceDirectory)`
`static BuildResults` | `createWithSuccess()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildResultsTestFactory

    public BuildResultsTestFactory()

Method Detail

### createWithReasonCleanBuild

    public static BuildResults createWithReasonCleanBuild()

### createWithReason

    public static BuildResults createWithReason(ReasonForBuild expectedReason)

### createWithSuccess

    public static BuildResults createWithSuccess()

### createWithFailure

    public static BuildResults createWithFailure()

### createWithSourceDir

    public static BuildResults createWithSourceDir(File expectedSourceDirectory)

### createWithBuildKey

    public static BuildResults createWithBuildKey(String expectedBuildKey)

### createWithChangeList

    public static BuildResults createWithChangeList(List expectedChangeList)

### createWithNoReason

    public static BuildResults createWithNoReason()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.